#
#    gated_work_dir     Directory where the gated.conf, expected.txt,
#                       and gated (or link to) are located.
#
#    gated_test_dir     Directory which contains the individual test
#                       subdirectories.
#
#    gated_script_dir   Directory containing templates needed for running
#                       the automated tester and the gated config file
#                       generator.

setenv lusr_dir /lusr/jeff/gated/next_gen
if ( `arch` == "i386" ) then
   setenv home_dir           /usr/home/jeff/gated/next_gen
else
   setenv home_dir           /home/jeff/gated/next_gen
endif

source $lusr_dir/scripts/testg_setup.csh
#
if (! `echo $path | grep -c $gated_script_dir`) then
   set path=($path $gated_script_dir)
endif
#
#alias gc "$gated_perl_cmd $gated_script_dir/gen_config.perl -t"
#alias gen_config "$gated_perl_cmd $gated_script_dir/gen_config.perl"
#alias testg "$gated_script_dir/testg"
#
echo ""
echo "   --- gated_work_dir    set to $gated_work_dir"
echo "   --- gated_test_dir    set to $gated_test_dir"
echo "   --- gated_script_dir  set to $gated_script_dir"
echo ""
echo "   To run the gated driver, type:"
echo "      testg [options]"
echo "   To run the gated config file generator, type:"
echo '      gen_config [options] <test config file>'
echo "   To run the generator with a test name, type:"
echo '      gc <test name>'
echo ""
#

